COMAC-8 initial version of comac-in-a-box makefile

This makefile installs OMEC and OAI eNB and UE in a single node.
It does not require any special hardwares.
Run "make" -> "make run-test" for test.
CORD platform support will be added later.

Change-Id: I9f27219522c85dcd95c50a23a9bab5f32f7484b1
diff --git a/comac-in-a-box/resources/quagga.yaml b/comac-in-a-box/resources/quagga.yaml
new file mode 100644
index 0000000..63f87f5
--- /dev/null
+++ b/comac-in-a-box/resources/quagga.yaml
@@ -0,0 +1,43 @@
+#!/bin/bash -x
+#
+# Copyright 2019-present Open Networking Foundation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+---
+apiVersion: v1
+kind: Pod
+metadata:
+  name: router
+  labels:
+    app: quagga
+  annotations:
+    k8s.v1.cni.cncf.io/networks: '[
+            { "name": "sgi-net", "interface": "sgi-rtr", "interfaceRequest": "sgi-rtr" }
+    ]'
+spec:
+  containers:
+  - name: quagga
+    command: ["/bin/bash", "-c"]
+    args:
+      - >
+        ip addr flush sgi-rtr;
+        ip link set sgi-rtr address 0e:00:00:00:00:01;
+        ip addr add 13.1.1.254/24 dev sgi-rtr;
+        trap : TERM INT; sleep infinity & wait
+    image: opencord/quagga
+    securityContext:
+      capabilities:
+        add:
+          - NET_ADMIN
+    ports:
+    - containerPort: 2601